#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libpq-5 installation
#
# Creation   : 2008-10-19 dv
# Last update: $Id$
#
# Copyright (c) 2008 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# Set packages name
packageName=libpq-5

# Don't change the name of the following variable! It is automatically updated
# during the package build with mktarball
libVersion=5.2.0

libMajor=`echo ${libVersion} | cut -d. -f1`
libMinor=`echo ${libVersion} | cut -d. -f2`

#----------------------------------------------------------------------------
# include eislib
#----------------------------------------------------------------------------
. /var/install/include/eislib

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
LinkDES="libpq.so.${libMajor}.${libMinor}"
LinkSRC="libpq.so.${libMajor}"

cd /usr/lib/

for Link in ${LinkSRC}
do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
done

cd - >/dev/null

#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig >/dev/null 2>&1

#----------------------------------------------------------------------------
# generate deinstall file
#----------------------------------------------------------------------------

# check for date
packageDate=`grep "<date>" /var/install/packages/${packageName} | sed 's#</*date>##g'`
cat > /var/install/deinstall/${packageName} <<EOF
#! /bin/sh
#----------------------------------------------------------------------------
# /var/install/deinstall/${packageName} - ${packageName} deinstallation
#
# Creation:     2008-10-19 dv
# Last Update:  ${packageDate} dv
#
# Copyright (c) 2007 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# read eislib
. /var/install/include/eislib

mecho -info " THIS PACKAGE IS PART OF THE SYSTEM!"
mecho -info " YOU CAN NOT REMOVE IT "

exit 1

EOF

chmod 0700 /var/install/deinstall/${packageName}
touch -r /var/install/packages/${packageName} /var/install/deinstall/${packageName}
echo "u 0700 root root ${packageName} var/install/deinstall/${packageName}" >>/etc/filelist.d/${packageName}-files.txt

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

